| Home | Libraries | People | FAQ | More

###### params_encoded_ref::assign (2 of 2 overloads)

Assign params.

###### Synopsis

    template<
        class FwdIt>
    void
    assign(
        FwdIt first,
        FwdIt last);

###### Description

This function replaces the entire contents of the view with the params in the range.

All iterators are invalidated.

###### Remarks

The strings referenced by the inputs must not come from the underlying url, or else the behavior is undefined.

###### Mandates

    std::is_convertible< std::iterator_traits< FwdIt >::reference_type, param_pct_view >::value == true

###### Complexity

Linear in the size of the range.

###### Exception Safety

Strong guarantee. Calls to allocate may throw. Exceptions thrown on invalid input.

###### Exceptions

Type | Thrown On
--- | ---
`system_error` | The range contains an invalid percent-encoding.

###### Parameters

Name | Description
--- | ---
`first`, `last` | The range of params to assign.